using System.ComponentModel;
using System.Text.Json.Serialization;

namespace XPrintServer.Business.Dto
{
    public class ComfyUIPromptResult
    {
        [JsonPropertyName("prompt_id"), DefaultValue("")]
        public string PromptId { get; set; } = string.Empty;

        [JsonPropertyName("number"), DefaultValue(0)]
        public int Number { get; set; } = 0;

        [JsonPropertyName("node_errors"), DefaultValue(null)]
        public dynamic NodeErrors { get; set; } = string.Empty;
    }
}
